NX Open C++ Reference Guide
|
Represents a @link Features::ShipDesign::Profile Features::ShipDesign::Profile@endlink builder <br> To create a new instance of this class, use @link Features::ShipCollection::CreateProfileBuilder Features::ShipCollection::CreateProfileBuilder @endlink <br>
Default values. More...
Public Types | |
enum | Alignment { AlignmentCenter, AlignmentGuideEdge, AlignmentOppositeGuide } |
Creation method used to define the placement of the belt this is disabled for profiles. More... | |
enum | EndCutOption { EndCutOptionNone, EndCutOptionSymmetric, EndCutOptionTwoSided } |
Creation method used to define the end cut type. More... | |
enum | OrientationOption { OrientationOptionFaceNormal, OrientationOptionDatumCsys, OrientationOptionVector } |
Creation method used to define the placement of the profile this is disabled for belt creation. More... | |
enum | SectionOption { SectionOptionPlate, SectionOptionProfile } |
Creation of profile from the library or a plate. More... | |
enum | TypeOption { TypeOptionProfile, TypeOptionBelt } |
Creation type either a belt or a profile. More... | |
Public Member Functions | |
NXOpen::Expression * | AngleOfRotation () |
Returns the angle of rotation Created in NX7.5.1. | |
double | AngularTolerance () |
Returns the angular tolerance (degrees). | |
int | AttributeMaterial () |
Returns the material attribute Created in NX7.5.0. | |
int | AttributeName () |
Returns the name attribute value Created in NX7.5.0. | |
NXOpen::Features::ShipDesign::ProfileBuilder::Alignment | BeltAlignment () |
Returns the belt alignment Created in NX7.5.0. | |
int | BeltSize () |
Returns the belt size options Created in NX7.5.0. | |
int | BeltType () |
Returns the belt type options Created in NX7.5.0. | |
NXOpen::GeometricUtilities::CurveLengthData * | CurveLengthData () |
Returns the curve length data Created in NX7.5.0. | |
double | DistanceTolerance () |
Returns the distance tolerance (part units). | |
NXOpen::Features::ShipDesign::ProfileBuilder::EndCutOption | EndCutType () |
Returns the end cut type Created in NX7.5.0. | |
NXOpen::EndCutBlockBuilder * | EndEndCutBlock () |
Returns the end end cut block Created in NX7.5.0. | |
NXOpen::Expression * | FaceOffsetExpression () |
Returns the face offset expression Created in NX7.5.0. | |
bool | FaceOffsetVector () |
Returns the face offset vector Created in NX7.5.0. | |
std::vector< NXString > | GetAvailableAttributeMaterials () |
Returns the list of available material attributes. | |
std::vector< NXString > | GetAvailableAttributeNames () |
Returns the list of available name attributes. | |
std::vector< NXString > | GetAvailableBeltSizes () |
Returns the list of available material attributes. | |
std::vector< NXString > | GetAvailableBeltTypes () |
Returns the list of available material attributes. | |
std::vector< NXString > | GetAvailableProfileSizes () |
Returns the list of available material attributes. | |
std::vector< NXString > | GetAvailableProfileTypes () |
Returns the list of available material attributes. | |
NXOpen::Expression * | GuideOffsetExpression () |
Returns the guide offset expression Created in NX7.5.0. | |
bool | GuideOffsetVector () |
Returns the guide offset vector Created in NX7.5.0. | |
NXOpen::Section * | GuideSection () |
Returns the select edge Created in NX7.5.0. | |
bool | KeepFace () |
Returns the toggle which allows re-use of the selected faces Created in NX7.5.0. | |
bool | KeepGuide () |
Returns the toggle which allows re-use of the selected edges or curves Created in NX7.5.0. | |
NXOpen::Direction * | OrientationVector () |
Returns the orientation vector Created in NX7.5.4. | |
NXOpen::Features::ShipDesign::ProfileBuilder::OrientationOption | OrientType () |
Returns the orient type Created in NX7.5.0. | |
NXOpen::Expression * | PlateHeight () |
Returns the plate height Created in NX7.5.0. | |
NXOpen::Expression * | PlateWIdth () |
Returns the plate width Created in NX7.5.0. | |
int | ProfileSize () |
Returns the profile size options Created in NX7.5.0. | |
int | ProfileType () |
Returns the profile type options Created in NX7.5.0. | |
NXOpen::Features::ShipDesign::ProfileBuilder::SectionOption | SectionType () |
Returns the section type Created in NX7.5.0. | |
NXOpen::Features::SelectFeatureList * | SelectCsys () |
Returns the select csys Created in NX7.5.0. | |
NXOpen::ScCollector * | SelectFace () |
Returns the placement faces or datum plane Created in NX7.5.0. | |
void | SetAngularTolerance (double angularTolerance) |
Sets the angular tolerance (degrees). | |
void | SetAttributeMaterial (int material) |
Sets the material attribute Created in NX7.5.0. | |
void | SetAttributeName (int name) |
Sets the name attribute value Created in NX7.5.0. | |
void | SetBeltAlignment (NXOpen::Features::ShipDesign::ProfileBuilder::Alignment beltAlignment) |
Sets the belt alignment Created in NX7.5.0. | |
void | SetBeltSize (int size) |
Sets the belt size options Created in NX7.5.0. | |
void | SetBeltType (int type) |
Sets the belt type options Created in NX7.5.0. | |
void | SetDistanceTolerance (double distanceTolerance) |
Sets the distance tolerance (part units). | |
void | SetEndCutType (NXOpen::Features::ShipDesign::ProfileBuilder::EndCutOption endCutType) |
Sets the end cut type Created in NX7.5.0. | |
void | SetFaceOffsetVector (bool faceOffsetVector) |
Sets the face offset vector Created in NX7.5.0. | |
void | SetGuideOffsetVector (bool guideOffsetVector) |
Sets the guide offset vector Created in NX7.5.0. | |
void | SetKeepFace (bool keepFace) |
Sets the toggle which allows re-use of the selected faces Created in NX7.5.0. | |
void | SetKeepGuide (bool keepGuide) |
Sets the toggle which allows re-use of the selected edges or curves Created in NX7.5.0. | |
void | SetOrientationVector (NXOpen::Direction *orientationVector) |
Sets the orientation vector Created in NX7.5.4. | |
void | SetOrientType (NXOpen::Features::ShipDesign::ProfileBuilder::OrientationOption orientType) |
Sets the orient type Created in NX7.5.0. | |
void | SetProfileSize (int size) |
Sets the profile size options Created in NX7.5.0. | |
void | SetProfileType (int type) |
Sets the profile type options Created in NX7.5.0. | |
void | SetSectionType (NXOpen::Features::ShipDesign::ProfileBuilder::SectionOption sectionType) |
Sets the section type Created in NX7.5.0. | |
void | SetType (NXOpen::Features::ShipDesign::ProfileBuilder::TypeOption type) |
Sets the type belt or profile Created in NX7.5.0. | |
NXOpen::EndCutBlockBuilder * | StartEndCutBlock () |
Returns the start end cut block Created in NX7.5.0. | |
NXOpen::Features::ShipDesign::ProfileBuilder::TypeOption | Type () |
Returns the type belt or profile Created in NX7.5.0. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a @link Features::ShipDesign::Profile Features::ShipDesign::Profile@endlink builder <br> To create a new instance of this class, use @link Features::ShipCollection::CreateProfileBuilder Features::ShipCollection::CreateProfileBuilder @endlink <br>
Default values.
Property | Value |
---|---|
AngleOfRotation.Value |
0 |
AngularTolerance |
0.5 |
BeltAlignment |
Center |
DistanceTolerance |
0.0254 (millimeters part), 0.001 (inches part) |
EndCutType |
None |
EndEndCutBlock.Angle.Value |
0 |
EndEndCutBlock.Offset.Value |
0 |
EndEndCutBlock.SketchBlock.Exp1.Value |
0 |
EndEndCutBlock.SketchBlock.Exp10.Value |
0 |
EndEndCutBlock.SketchBlock.Exp11.Value |
0 |
EndEndCutBlock.SketchBlock.Exp12.Value |
0 |
EndEndCutBlock.SketchBlock.Exp2.Value |
0 |
EndEndCutBlock.SketchBlock.Exp3.Value |
0 |
EndEndCutBlock.SketchBlock.Exp4.Value |
0 |
EndEndCutBlock.SketchBlock.Exp5.Value |
0 |
EndEndCutBlock.SketchBlock.Exp6.Value |
0 |
EndEndCutBlock.SketchBlock.Exp7.Value |
0 |
EndEndCutBlock.SketchBlock.Exp8.Value |
0 |
EndEndCutBlock.SketchBlock.Exp9.Value |
0 |
EndEndCutBlock.SketchBlock.Sketches |
EndCut1 |
EndEndCutBlock.TaperType |
Trim |
FaceOffsetExpression.Value |
0 |
GuideOffsetExpression.Value |
0 |
KeepFace |
0 |
KeepGuide |
0 |
OrientType |
FaceNormal |
PlateHeight.Value |
0 |
PlateWIdth.Value |
0 |
SectionType |
Created in NX7.5.0.
NXOpen::Expression* NXOpen::Features::ShipDesign::ProfileBuilder::AngleOfRotation | ( | ) |
Returns the angle of rotation
Created in NX7.5.1.
License requirements : None
double NXOpen::Features::ShipDesign::ProfileBuilder::AngularTolerance | ( | ) |
Returns the angular tolerance (degrees).
Created in NX8.0.0.
License requirements : None
int NXOpen::Features::ShipDesign::ProfileBuilder::AttributeMaterial | ( | ) |
Returns the material attribute
Created in NX7.5.0.
License requirements : None
int NXOpen::Features::ShipDesign::ProfileBuilder::AttributeName | ( | ) |
Returns the name attribute value
Created in NX7.5.0.
License requirements : None
NXOpen::Features::ShipDesign::ProfileBuilder::Alignment NXOpen::Features::ShipDesign::ProfileBuilder::BeltAlignment | ( | ) |
Returns the belt alignment
Created in NX7.5.0.
License requirements : None
int NXOpen::Features::ShipDesign::ProfileBuilder::BeltSize | ( | ) |
Returns the belt size options
Created in NX7.5.0.
License requirements : None
int NXOpen::Features::ShipDesign::ProfileBuilder::BeltType | ( | ) |
Returns the belt type options
Created in NX7.5.0.
License requirements : None
NXOpen::GeometricUtilities::CurveLengthData* NXOpen::Features::ShipDesign::ProfileBuilder::CurveLengthData | ( | ) |
Returns the curve length data
Created in NX7.5.0.
License requirements : None
double NXOpen::Features::ShipDesign::ProfileBuilder::DistanceTolerance | ( | ) |
Returns the distance tolerance (part units).
Created in NX8.0.0.
License requirements : None
NXOpen::Features::ShipDesign::ProfileBuilder::EndCutOption NXOpen::Features::ShipDesign::ProfileBuilder::EndCutType | ( | ) |
Returns the end cut type
Created in NX7.5.0.
License requirements : None
NXOpen::EndCutBlockBuilder* NXOpen::Features::ShipDesign::ProfileBuilder::EndEndCutBlock | ( | ) |
Returns the end end cut block
Created in NX7.5.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::ShipDesign::ProfileBuilder::FaceOffsetExpression | ( | ) |
Returns the face offset expression
Created in NX7.5.0.
License requirements : None
bool NXOpen::Features::ShipDesign::ProfileBuilder::FaceOffsetVector | ( | ) |
Returns the face offset vector
Created in NX7.5.0.
License requirements : None
std::vector<NXString> NXOpen::Features::ShipDesign::ProfileBuilder::GetAvailableAttributeMaterials | ( | ) |
Returns the list of available material attributes.
std::vector<NXString> NXOpen::Features::ShipDesign::ProfileBuilder::GetAvailableAttributeNames | ( | ) |
Returns the list of available name attributes.
std::vector<NXString> NXOpen::Features::ShipDesign::ProfileBuilder::GetAvailableBeltSizes | ( | ) |
Returns the list of available material attributes.
std::vector<NXString> NXOpen::Features::ShipDesign::ProfileBuilder::GetAvailableBeltTypes | ( | ) |
Returns the list of available material attributes.
std::vector<NXString> NXOpen::Features::ShipDesign::ProfileBuilder::GetAvailableProfileSizes | ( | ) |
Returns the list of available material attributes.
std::vector<NXString> NXOpen::Features::ShipDesign::ProfileBuilder::GetAvailableProfileTypes | ( | ) |
Returns the list of available material attributes.
NXOpen::Expression* NXOpen::Features::ShipDesign::ProfileBuilder::GuideOffsetExpression | ( | ) |
Returns the guide offset expression
Created in NX7.5.0.
License requirements : None
bool NXOpen::Features::ShipDesign::ProfileBuilder::GuideOffsetVector | ( | ) |
Returns the guide offset vector
Created in NX7.5.0.
License requirements : None
NXOpen::Section* NXOpen::Features::ShipDesign::ProfileBuilder::GuideSection | ( | ) |
Returns the select edge
Created in NX7.5.0.
License requirements : None
bool NXOpen::Features::ShipDesign::ProfileBuilder::KeepFace | ( | ) |
Returns the toggle which allows re-use of the selected faces
Created in NX7.5.0.
License requirements : None
bool NXOpen::Features::ShipDesign::ProfileBuilder::KeepGuide | ( | ) |
Returns the toggle which allows re-use of the selected edges or curves
Created in NX7.5.0.
License requirements : None
NXOpen::Direction* NXOpen::Features::ShipDesign::ProfileBuilder::OrientationVector | ( | ) |
Returns the orientation vector
Created in NX7.5.4.
License requirements : None
NXOpen::Features::ShipDesign::ProfileBuilder::OrientationOption NXOpen::Features::ShipDesign::ProfileBuilder::OrientType | ( | ) |
Returns the orient type
Created in NX7.5.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::ShipDesign::ProfileBuilder::PlateHeight | ( | ) |
Returns the plate height
Created in NX7.5.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::ShipDesign::ProfileBuilder::PlateWIdth | ( | ) |
Returns the plate width
Created in NX7.5.0.
License requirements : None
int NXOpen::Features::ShipDesign::ProfileBuilder::ProfileSize | ( | ) |
Returns the profile size options
Created in NX7.5.0.
License requirements : None
int NXOpen::Features::ShipDesign::ProfileBuilder::ProfileType | ( | ) |
Returns the profile type options
Created in NX7.5.0.
License requirements : None
NXOpen::Features::ShipDesign::ProfileBuilder::SectionOption NXOpen::Features::ShipDesign::ProfileBuilder::SectionType | ( | ) |
Returns the section type
Created in NX7.5.0.
License requirements : None
NXOpen::Features::SelectFeatureList* NXOpen::Features::ShipDesign::ProfileBuilder::SelectCsys | ( | ) |
Returns the select csys
Created in NX7.5.0.
License requirements : None
NXOpen::ScCollector* NXOpen::Features::ShipDesign::ProfileBuilder::SelectFace | ( | ) |
Returns the placement faces or datum plane
Created in NX7.5.0.
License requirements : None
void NXOpen::Features::ShipDesign::ProfileBuilder::SetAngularTolerance | ( | double | angularTolerance | ) |
Sets the angular tolerance (degrees).
Created in NX8.0.0.
License requirements : nx_ship_concept ("Ship Concept")
angularTolerance | angulartolerance |
void NXOpen::Features::ShipDesign::ProfileBuilder::SetAttributeMaterial | ( | int | material | ) |
Sets the material attribute
Created in NX7.5.0.
License requirements : nx_ship_concept ("Ship Concept")
material | material |
void NXOpen::Features::ShipDesign::ProfileBuilder::SetAttributeName | ( | int | name | ) |
Sets the name attribute value
Created in NX7.5.0.
License requirements : nx_ship_concept ("Ship Concept")
name | name |
void NXOpen::Features::ShipDesign::ProfileBuilder::SetBeltAlignment | ( | NXOpen::Features::ShipDesign::ProfileBuilder::Alignment | beltAlignment | ) |
Sets the belt alignment
Created in NX7.5.0.
License requirements : nx_ship_concept ("Ship Concept")
beltAlignment | beltalignment |
void NXOpen::Features::ShipDesign::ProfileBuilder::SetBeltSize | ( | int | size | ) |
Sets the belt size options
Created in NX7.5.0.
License requirements : nx_ship_concept ("Ship Concept")
size | size |
void NXOpen::Features::ShipDesign::ProfileBuilder::SetBeltType | ( | int | type | ) |
Sets the belt type options
Created in NX7.5.0.
License requirements : nx_ship_concept ("Ship Concept")
type | type |
void NXOpen::Features::ShipDesign::ProfileBuilder::SetDistanceTolerance | ( | double | distanceTolerance | ) |
Sets the distance tolerance (part units).
Created in NX8.0.0.
License requirements : nx_ship_concept ("Ship Concept")
distanceTolerance | distancetolerance |
void NXOpen::Features::ShipDesign::ProfileBuilder::SetEndCutType | ( | NXOpen::Features::ShipDesign::ProfileBuilder::EndCutOption | endCutType | ) |
Sets the end cut type
Created in NX7.5.0.
License requirements : nx_ship_concept ("Ship Concept")
endCutType | endcuttype |
void NXOpen::Features::ShipDesign::ProfileBuilder::SetFaceOffsetVector | ( | bool | faceOffsetVector | ) |
Sets the face offset vector
Created in NX7.5.0.
License requirements : nx_ship_concept ("Ship Concept")
faceOffsetVector | faceoffsetvector |
void NXOpen::Features::ShipDesign::ProfileBuilder::SetGuideOffsetVector | ( | bool | guideOffsetVector | ) |
Sets the guide offset vector
Created in NX7.5.0.
License requirements : nx_ship_concept ("Ship Concept")
guideOffsetVector | guideoffsetvector |
void NXOpen::Features::ShipDesign::ProfileBuilder::SetKeepFace | ( | bool | keepFace | ) |
Sets the toggle which allows re-use of the selected faces
Created in NX7.5.0.
License requirements : nx_ship_concept ("Ship Concept")
keepFace | keepface |
void NXOpen::Features::ShipDesign::ProfileBuilder::SetKeepGuide | ( | bool | keepGuide | ) |
Sets the toggle which allows re-use of the selected edges or curves
Created in NX7.5.0.
License requirements : nx_ship_concept ("Ship Concept")
keepGuide | keepguide |
void NXOpen::Features::ShipDesign::ProfileBuilder::SetOrientationVector | ( | NXOpen::Direction * | orientationVector | ) |
Sets the orientation vector
Created in NX7.5.4.
License requirements : nx_ship_concept ("Ship Concept")
orientationVector | orientationvector |
void NXOpen::Features::ShipDesign::ProfileBuilder::SetOrientType | ( | NXOpen::Features::ShipDesign::ProfileBuilder::OrientationOption | orientType | ) |
Sets the orient type
Created in NX7.5.0.
License requirements : nx_ship_concept ("Ship Concept")
orientType | orienttype |
void NXOpen::Features::ShipDesign::ProfileBuilder::SetProfileSize | ( | int | size | ) |
Sets the profile size options
Created in NX7.5.0.
License requirements : nx_ship_concept ("Ship Concept")
size | size |
void NXOpen::Features::ShipDesign::ProfileBuilder::SetProfileType | ( | int | type | ) |
Sets the profile type options
Created in NX7.5.0.
License requirements : nx_ship_concept ("Ship Concept")
type | type |
void NXOpen::Features::ShipDesign::ProfileBuilder::SetSectionType | ( | NXOpen::Features::ShipDesign::ProfileBuilder::SectionOption | sectionType | ) |
Sets the section type
Created in NX7.5.0.
License requirements : nx_ship_concept ("Ship Concept")
sectionType | sectiontype |
void NXOpen::Features::ShipDesign::ProfileBuilder::SetType | ( | NXOpen::Features::ShipDesign::ProfileBuilder::TypeOption | type | ) |
Sets the type belt or profile
Created in NX7.5.0.
License requirements : nx_ship_concept ("Ship Concept")
type | type |
NXOpen::EndCutBlockBuilder* NXOpen::Features::ShipDesign::ProfileBuilder::StartEndCutBlock | ( | ) |
Returns the start end cut block
Created in NX7.5.0.
License requirements : None
NXOpen::Features::ShipDesign::ProfileBuilder::TypeOption NXOpen::Features::ShipDesign::ProfileBuilder::Type | ( | ) |
Returns the type belt or profile
Created in NX7.5.0.
License requirements : None